'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.addColumn('Posts', 'published', {
      type: Sequelize.BOOLEAN,
      unique: false,
      allowNull: true,
      defaultValue: false
    });
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.removeColumn('Posts', 'published', {
      type: Sequelize.BOOLEAN,
      unique: false,
      allowNull: true,
      defaultValue: false
    });
  }
};